Bug 106038 - Selected range of text disappears when going to Print Preview and back
Summary: Selected range of text disappears when going to Print Preview and back
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-UX Selection
  Show dependency treegraph
 
Reported: 2017-02-16 09:07 UTC by Thomas Lendo
Modified: 2022-08-15 03:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-02-16 09:07:49 UTC
In Writer, a selected/marked range of text disappears when going to Print Preview and back to the edit view.

Steps to reproduce:
1. Open Writer and write some text.
2. Select/mark the written text with the mouse or keyboard shortcut CTRL+A (all or part of the text should be blue-shaded).
2. Click on the "Print Preview" symbol in the toolbar or in the File menu.
3. Close the Print Preview and go back to the edit view.

Current behavior:
The selected range of text isn't blue-shaded anymore. You have to select/mark it again.

Expected behavior:
The selection should not gone.

This is an old bug inherited from OOo.
Last test with LibreOffice 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; Calc: CL

The pendant in Calc is bug 64345 (EDITING: Selected Area Disappeared When Switch WorkSheet).
Comment 1 Xisco Faulí 2017-02-17 20:39:21 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: 880033edde516fc30225005245253293a6a58ba4
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

However, adding needsUXEval to decide whether it's a bug to the UX team
Comment 2 Heiko Tietze 2017-02-18 09:51:53 UTC
(In reply to Xisco Faulí from comment #1)
> However, adding needsUXEval to decide whether it's a bug to the UX team

No idea why a selection becomes invalid with the preview, which could be the only reason to unselect. So yes, please make the selection permanent.
Comment 3 QA Administrators 2018-09-03 02:43:10 UTC Comment hidden (obsolete)
Comment 4 Thomas Lendo 2018-09-14 09:56:41 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-09-15 02:47:27 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2019-09-17 07:21:03 UTC
Still repro.

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 41cd3e8e817c8c33a13608e62eeb06ce2c6977e4
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-01_22:04:10
Comment 7 QA Administrators 2022-08-15 03:44:01 UTC
Dear Thomas Lendo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug